com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedKeyboardListener

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<KeyboardListener>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedKeyboardListener

All Implemented Interfaces:
  KeyDownHandler, KeyPressHandler, KeyUpHandler, EventHandler

Enclosing class:
  ListenerWrapper<T>

    public static class ListenerWrapper.WrappedKeyboardListener
    extends ListenerWrapper<KeyboardListener>
    implements KeyDownHandler, KeyUpHandler, KeyPressHandler

Wrapper for a `KeyboardListener`.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static ListenerWrapper.WrappedKeyboardListener` `add(HasAllKeyHandlers source, KeyboardListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes
`void` `onKeyDown(KeyDownEvent event)` Called when `KeyDownEvent` is fired.
`void` `onKeyPress(KeyPressEvent event)` Called when KeyPressEvent is fired.
`void` `onKeyUp(KeyUpEvent event)` Called when KeyUpEvent is fired.
`static void` `remove(Widget eventSource, KeyboardListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes

### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`baseRemove, getSource, setSource`

### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

`baseRemove, getListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    @Deprecated
    public static ListenerWrapper.WrappedKeyboardListener add(HasAllKeyHandlers source,
                                                                          KeyboardListener listener)

Deprecated. will be removed in GWT 2.0 along with the listener classes
Adds the wrapped listener.

Parameters:
  `source` - the event source
  `listener` - the listener
Returns:
  the wrapped listener

#### remove

    @Deprecated
    public static void remove(Widget eventSource,
                                          KeyboardListener listener)

Deprecated. will be removed in GWT 2.0 along with the listener classes
Removes the wrapped listener.

Parameters:
  `eventSource` - the event source from which to remove the wrapped listener
  `listener` - the listener to remove

#### onKeyDown

    public void onKeyDown(KeyDownEvent event)

Description copied from interface: `KeyDownHandler`
Called when `KeyDownEvent` is fired.

Specified by:
  `onKeyDown` in interface `KeyDownHandler`
Parameters:
  `event` - the `KeyDownEvent` that was fired

#### onKeyPress

    public void onKeyPress(KeyPressEvent event)

Description copied from interface: `KeyPressHandler`
Called when KeyPressEvent is fired.

Specified by:
  `onKeyPress` in interface `KeyPressHandler`
Parameters:
  `event` - the `KeyPressEvent` that was fired

#### onKeyUp

    public void onKeyUp(KeyUpEvent event)

Description copied from interface: `KeyUpHandler`
Called when KeyUpEvent is fired.

Specified by:
  `onKeyUp` in interface `KeyUpHandler`
Parameters:
  `event` - the `KeyUpEvent` that was fired